summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2015-10-13 18:03:15 -0400
committerAnthony G. Basile <blueness@gentoo.org>2015-10-13 18:03:30 -0400
commitb3cba1d6e26a263c031b7682fc92f556b5626505 (patch)
tree6dd5c7f2deed769f2a6fcbf9c9afb46a756548e4
parentprofiles/package.mask: mask openrc-0.18.1 for bug 563010 (diff)
downloadgentoo-b3cba1d6e26a263c031b7682fc92f556b5626505.tar.gz
gentoo-b3cba1d6e26a263c031b7682fc92f556b5626505.tar.bz2
gentoo-b3cba1d6e26a263c031b7682fc92f556b5626505.zip
app-portage/grs: version bump 0.3
Package-Manager: portage-2.2.20.1
-rw-r--r--app-portage/grs/Manifest1
-rw-r--r--app-portage/grs/grs-0.3.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/app-portage/grs/Manifest b/app-portage/grs/Manifest
index 6a485dd8c6e..a767d2ab8b8 100644
--- a/app-portage/grs/Manifest
+++ b/app-portage/grs/Manifest
@@ -1,2 +1,3 @@
DIST grs-0.1.tar.gz 32017 SHA256 38018649a6c767e3e295a24bec6fd880c63f892dd74a0f34ebc0bdc22c2683a8 SHA512 89f005c520f7ee0db4c57764592fe6555d75e1c78dd3dc0c224bd2197bebfad34a1b1279fbef75411949bfcd430dc3ebf57e929934a193bbc0da9d56a2944f75 WHIRLPOOL 31d612470ecc3b13388ddee1ebac7fb8584f5642491b09cda3ed3575ff303c70da25460b56a9d9595966a681ee21ec0b93f2d0fee91874dd18c7494e74cb384e
DIST grs-0.2.tar.gz 34089 SHA256 cf666870d1d856e77da2aa59905eea32cb603673cbeb4a0f487d962321c50006 SHA512 502b8a6d66784b7b0c93b421cc5bc25db320edb555e2b283bf9a0e1edccd67ba8c07bc8cc715824b6c82ce435d2c1f5671b7ea84d2d856beef4f771d65992efb WHIRLPOOL 52e9f4589f01f8352a882d46c85478c8e5dce47390483b4a93958231e3502fd082957f18bf9b5f2d08f04d112e5eede0b5ee140a47852ccacc8acc8723ce4e5f
+DIST grs-0.3.tar.gz 34173 SHA256 445af2f267df936b4a06fdcb17e2a28dafd6eed8d52a8ff69ada622cedd8699d SHA512 710ea986ab55eabed5b774e850854ee36e600d378dd17a2d62cce67132695ecadea01b15ffaed750bb33a6f31e49989952425b7602808f65574ac506da1773fa WHIRLPOOL f5632d5562d6cb66b8111c35c5d5b57e0710d01d679d9c802182d18e2ddee0af7fe058a1275ca45c097fefdb1419943c638fdfe93110639cf299fd1c0df5b83d
diff --git a/app-portage/grs/grs-0.3.ebuild b/app-portage/grs/grs-0.3.ebuild
new file mode 100644
index 00000000000..7eb8426470a
--- /dev/null
+++ b/app-portage/grs/grs-0.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+PYTHON_COMPAT=( python3_4 )
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]] ; then
+ EGIT_REPO_URI="git://anongit.gentoo.org/proj/grss.git"
+ inherit git-2
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Suite to build Gentoo Reference Systems"
+HOMEPAGE="https://dev.gentoo.org/~blueness/${PN}"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+DEPEND=""
+RDEPEND="
+ app-arch/tar[xattr]
+ app-crypt/md5deep
+ dev-libs/libcgroup
+ dev-vcs/git
+ net-misc/rsync
+ sys-apps/portage
+ sys-fs/squashfs-tools
+ virtual/cdrtools
+ || (
+ sys-kernel/genkernel
+ sys-kernel/genkernel-next
+ )"
+
+src_install() {
+ distutils-r1_src_install
+ echo "CONFIG_PROTECT=\"/etc/grs/systems.conf\"" > "${T}"/20grs
+ doenvd "${T}"/20grs
+}